<?php
/**
 * @file
 * Blockpop instance UI controller file.
 */

/**
 * Blockpop instance UI controller class.
 */
class BlockPopInstanceUIController extends EntityDefaultUIController {
  /**
   * {@inheritdoc}
   */
  protected function overviewTableRow($conditions, $id, $instance, $additional_cols = array()) {
    $row = parent::overviewTableRow($conditions, $id, $instance, $additional_cols);
    $path = 'admin/structure/block/manage/blockpop/popup_' . $instance->id . '/configure';
    array_splice($row, -1, -1, l(t('configure block'), $path));
    return $row;
  }
}
