/*
 * @file
 * JS for admin interface
 */

(function ($, Drupal, window, document, undefined) {
  Drupal.behaviors.blockpopAdminDatepickers = {
    "attach": function(context, settings) {
      $('.blockpop-datetime-field', context)
        .once()
        .datetimepicker({
          controlType: 'select',
          timeFormat: 'hh:mm tt',
       });
    }
  };
})(jQuery, Drupal, this, this.document);
